"""
Generate images of "gauges" for production run

Inputs:

production dirs: dictionary of production directories with a
                 association to that simulation run, eg high tide,
                 low tide and MSL.
                    
Outputs:

* figures used for report stored in the report_figure directory

"""
from os import getcwd, sep, altsep, mkdir, access, F_OK
import project
from anuga.abstract_2d_finite_volumes.util import sww2timeseries

# Create report directory
reportdir = getcwd()+sep+'report'+sep
if access(reportdir,F_OK) == 0:
    mkdir (reportdir)
    
# sww file created from URS boundary
production_dirs = {#'20070206_005106_run': '10000 yr wave height'}
                   'boundaries': 'URS boundary condition'}

is_parallel = False
if is_parallel == True:
    nodes = 2
    
# Generate figures
swwfiles = {}

if is_parallel == True:

    for i in range(nodes):
        print 'Sending node %d of %d' %(i,nodes)
        swwfiles = {}
        #reportname = report_name + '_%s' %(i)
        for label_id in production_dirs.keys():
            if label_id == 'boundaries':
                file_loc = project.boundaries_in_dir
                swwfile = file_loc + sep + '20061102_221245_build' + sep + 'dampier.sww'
                print 'hi'
            #else:
            #file_loc = project.output_dir + label_id + sep
            #sww_extra = '_P%s_%s' %(i,nodes)
            #swwfile = file_loc + project.scenario_name + sww_extra + '.sww'
            swwfiles[swwfile] = label_id

        texname, elev_output = sww2timeseries(swwfiles,
                                              project.gauges_dir_name,
                                              production_dirs,
                                              report = False,
                                              #reportname = reportname,
                                              plot_quantity = ['stage', 'momentum'],
                                              generate_fig = False,
                                              surface = False,
                                              time_min = None,
                                              time_max = None,
                                              title_on = False,
                                              verbose = True)
            
            #latex_output.append(texname)
    
else:
    
    for label_id in production_dirs.keys():
        
        if label_id == 'boundaries':
                file_loc = project.boundaries_in_dir
                swwfile = file_loc + sep + '20061102_221245_build' + sep + 'dampier.sww'
        else:
            file_loc = project.output_dir + label_id + sep
            swwfile = file_loc + project.scenario_name + '.sww'
        swwfiles[swwfile] = label_id
        
    texname, elev_output = sww2timeseries(swwfiles,
                                          project.gauges_dir_name,
                                          production_dirs,
                                          report = False,
                                          #reportname = report_name,
                                          plot_quantity = ['stage', 'momentum'],
                                          surface = False,
                                          time_min = None,
                                          time_max = None,
                                          title_on = False,
                                          verbose = True)
